Bug 592822 - JBoss brand PDF <term> style differs from HTML
Summary: JBoss brand PDF <term> style differs from HTML
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican (Show other bugs)
(Show other bugs)
Version: 1.6
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-17 05:12 UTC by Laura Bailey
Modified: 2010-11-24 04:19 UTC (History)
4 users (show)

Fixed In Version: 2.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-05 04:15:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Laura Bailey 2010-05-17 05:12:44 UTC
Description of problem:
When using the publican-jboss brand to output HTML and PDF documents, the styling of the <term/> text in a <variablelist/> differs. In HTML, the output is always strong red text; in PDF, it is normal text unless affected by other markup.

Version-Release number of selected component (if applicable):
publican-jboss 1.6

How reproducible:
Every time, regardless of other markup (<classname>, <varname>, etc.) or lack thereof. HTML outputs strong red text for terms; PDF varies between the strong/normal text depending on the additional markup.

Steps to Reproduce:
1. Build book with variablelist, for example:
https://anonsvn.jboss.org/repos/jbossas/projects/snowdrop/branches/enterprise/Snowdrop_1.0_User_Guide/
2. Check HTML and PDF output for variablelist styling
  
Actual results:
HTML and PDF variablelists differ in style.

Expected results:
HTML and PDF variablelists should have similar styling - red text for terms, black text for descriptions.

Additional info:
-

Let me know if you need anything else!

Comment 1 Jeff Fearn 2010-06-10 04:50:49 UTC
Removed color setting for term from default brand and all brands that overrode it. Tested in on command lists in PUG, bold black looks much better to me.

When we push the next version of Publican we will need to rebuild the following brands as well:

publican-freeipa
publican-fedora
publican-redhat
publican-jboss
publican-ovirt

Fixed in Build: 1.6.3-0.t102


Note You need to log in before you can comment on or make changes to this bug.